ros-melodic-fetch-drivers (0.8.9-1bionic) bionic; urgency=high

  * Initial Noetic release
  * Updates maintainers
  * Contributors: Alex Moriarty, Russell Toris

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Sat, 06 Mar 2021 08:00:00 -0000

ros-melodic-fetch-drivers (0.8.8-1bionic) bionic; urgency=high

  * Binary Drivers 0.8.8 (#52 <https://github.com/fetchrobotics/fetch_robots/issues/52>)
    
      * Sync drivers with internal release 2018.8_stable.
      * This fixes https://github.com/fetchrobotics/fetch_ros/issues/70
    
  * Merge pull request #1647 <https://github.com/fetchrobotics/fetch_drivers/issues/1647> from moriarty/opensource-fixes
    This addresses https://github.com/fetchrobotics/fetch_ros/issues/70
  * Docker based testing 2.0 (#1332 <https://github.com/fetchrobotics/fetch_drivers/issues/1332>)
  * More LED Diagnostics [2018.8] (#1510 <https://github.com/fetchrobotics/fetch_drivers/issues/1510>)
  * Merge pull request #1504 <https://github.com/fetchrobotics/fetch_drivers/issues/1504> from dbking77/publish_gyro_offset_age.8
    
      * Extra gyro diagnostics 2018.8
      * Publish gyro offset age.
      * Record interval average for gyro offset.
      * Publish average gyro temperature.
    
  * Merge pull request #1398 <https://github.com/fetchrobotics/fetch_drivers/issues/1398> from dbking77/slower_gyro_drift_fix-2018.8
    
      * Put slightly more aggressive filter on wheel motion detector.
      * Also don't keep gyro output enabled for a long time unless robot has been moving for a while.
    
  * Backport driver creation system [2018.8] (#1369 <https://github.com/fetchrobotics/fetch_drivers/issues/1369>)
  * Merge pull request #1364 <https://github.com/fetchrobotics/fetch_drivers/issues/1364> from dbking77/combined_gyro_zeroing_fix_2018.8
  * Merge pull request #1335 <https://github.com/fetchrobotics/fetch_drivers/issues/1335> from dbking77/combined_gyro_output_disable_delay_2018.8
  * Merge pull request #1306 <https://github.com/fetchrobotics/fetch_drivers/issues/1306> from dbking77/charger_config_improvements_for_2018.8
  * Merge pull request #1309 <https://github.com/fetchrobotics/fetch_drivers/issues/1309> from dbking77/accel_direction_fixup_for_2018.8
  * added nav command sub to light driver (#1314 <https://github.com/fetchrobotics/fetch_drivers/issues/1314>)
  * Support for mainboard rev I and J
  * Merge pull request #1259 <https://github.com/fetchrobotics/fetch_drivers/issues/1259> from dbking77/imu_param_description_fix
  * Merge branch '2018.6_stable' into master
  * Merge pull request #1202 <https://github.com/fetchrobotics/fetch_drivers/issues/1202> from moriarty/compatibility-fixes
    
      * [ROS][C++] Indigo & Melodic Compatibility fixes
      * [C++] urdf/model.h upstream compatibility ptr
      * This fixes #1181 <https://github.com/fetchrobotics/fetch_drivers/issues/1181>
      * and can fix fetchrobotics/fetch_ros#86 <https://github.com/fetchrobotics/fetch_ros/issues/86>
      * [C++] additional [-Werror=catch-value=] fixes
      * [C++] catch errors by const ref
    
  * More extensive docker stuff as well as a fix for testing master (#1186 <https://github.com/fetchrobotics/fetch_drivers/issues/1186>)
  * Use std::isnan instead of isnan
  * Add missing catkin dependencies for actionlib messages
  * Move header files shared by driver and firmware to shared directory. (#1167 <https://github.com/fetchrobotics/fetch_drivers/issues/1167>)
    
      * Moving header files shared by driver and firmware to shared directory.
      * Put shared structs/enums in fetch_drivers::shared namespace.
      * Change include of stdint.h cstdint.
      * Put BoardFlags, PanelFlags, and TorsoSensorParams in a struct.
      * Update gitignore to ignore bootloader and firmware.
    
  * Merge pull request #1187 <https://github.com/fetchrobotics/fetch_drivers/issues/1187> from chadrockey/1604_fixes
  * Contributors: Alexander Moriarty, Andrew Parker, Carl Saldanha, Chad Rockey, Derek King, Eric Relson, Jeff Wilson, Justin Watson, Luc Bettaieb, Niharika Arora, Sarah Elliott

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Wed, 21 Aug 2019 07:00:00 -0000

ros-melodic-fetch-drivers (0.8.7-1bionic) bionic; urgency=high



 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Tue, 06 Aug 2019 07:00:00 -0000

ros-melodic-fetch-drivers (0.8.6-1bionic) bionic; urgency=high

  * Merge pull request #36 <https://github.com/fetchrobotics/fetch_robots/issues/36> from fetchrobotics/install-laser-filters
    [fetch_drivers] Catkin Install missed laser filters
  * Contributors: Alexander Moriarty, Carl Saldanha

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Thu, 28 Feb 2019 08:00:00 -0000

ros-melodic-fetch-drivers (0.8.5-1bionic) bionic; urgency=high

  * [FIX] missing laser filter plugins (#34 <https://github.com/fetchrobotics/fetch_robots/issues/34>)
    The drivers work without them, but the robot drives reallly slow.
  * Contributors: Alex Moriarty

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Tue, 26 Feb 2019 08:00:00 -0000

ros-melodic-fetch-drivers (0.8.4-1bionic) bionic; urgency=high



 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Thu, 21 Feb 2019 08:00:00 -0000

ros-melodic-fetch-drivers (0.8.3-1bionic) bionic; urgency=high

  * Add depend urdfdom, and switch to <depend> (#32 <https://github.com/fetchrobotics/fetch_robots/issues/32>)
  * Contributors: Alexander Moriarty

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Fri, 15 Feb 2019 08:00:00 -0000

ros-melodic-fetch-drivers (0.8.2-1bionic) bionic; urgency=high

  * [fetch_driver] Makefile and mk depend on rospack
    mk uses rospack internally but we don't get the rospack dependency.
    https://github.com/ros/ros/issues/204
    We also call rospack in Makefile.tarball so we should directly depend on
    it instead of assuming it is depended on by ros/core/mk.
  * Contributors: Alexander Moriarty

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Fri, 15 Feb 2019 08:00:00 -0000

ros-melodic-fetch-drivers (0.8.1-1bionic) bionic; urgency=high

  * Merge pull request #29 <https://github.com/fetchrobotics/fetch_robots/issues/29> from moriarty/fix-build-deps
    [fetch_drivers] exec_depend -> build_depend
    I left find_package in the CMakeLists.txt for these dependencies.
  * Contributors: Alexander Moriarty, Carl Saldanha

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Fri, 15 Feb 2019 08:00:00 -0000

ros-melodic-fetch-drivers (0.8.0-1bionic) bionic; urgency=high

  * Merge pull request #27 <https://github.com/fetchrobotics/fetch_robots/issues/27> from moriarty/fetch-binary-drivers
    [fetch_binary_drivers] new [fetch_drivers] package
  * [fetch_drivers] add more dependencies
    All these dependencies are exec_dependencies because this
    package doesn't compile anything.
    They're also in the CMakeLists.txt in the catkin_package and find_package to be safe.
  * [fetch_binary_drivers] new [fetch_drivers] package
    This is a new package providing the "fetch_drivers" which was previously
    built internally and distributed as a binary only debian package.
    We will officially announce when the upgrade from Indigo->Melodic is
    ready.
    18.04 and ROS Melodic on the Fetch Research Platforms is still being
    tested.
    The process isn't straight foward as there are calibration files
    which you will want to back-up before the upgrade.
    This fetch_drivers package also won't start like it use to because of
    the change from upstart to systemd.
    That requires fetch_system_config which will be open sourced soon.
    This fetch_binary_drivers package is part of a plan to distribute
    updates and upgrades to Fetch Research Platform customers faster in the future.
    This relates to fetchrobotics/fetch_ros#63 <https://github.com/fetchrobotics/fetch_ros/issues/63>
    1. An officiall announcement will be made when everything is ready.
    2. We will update and document the process on:
    https://docs.fetchrobotics.com/
    3. We will also announce via our mailing list, ros discourse and post on:
    https://opensource.fetchrobotics.com/
  * Contributors: Alexander Moriarty, Carl Saldanha, Eric Relson

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Wed, 30 Jan 2019 08:00:00 -0000

ros-melodic-fetch-drivers (0.7.29-1bionic) bionic; urgency=high

  * Merge pull request #1047 <https://github.com/fetchrobotics/fetch_drivers/issues/1047> from dbking77/depracate_breaker_scripts
    Enable/disable breaker scripts are old and perform no error checking.
  * Enable/disable breaker scripts are old and perform no error checking.
    Use breaker.py or c++ breaker tool instead.
  * Merge pull request #1043 <https://github.com/fetchrobotics/fetch_drivers/issues/1043> from dbking77/read_board_unique_id_fixes
    Allow read_board to continue even if unique ID cannot be read.
  * Merge pull request #1042 <https://github.com/fetchrobotics/fetch_drivers/issues/1042> from dbking77/motor_control_flags_namespace_fix
    MotorControlFlag namespace fix.
  * Allow read_board to continue even if unique ID cannot be read.
  * MotorControlFlag namespace fix.
  * Merge pull request #1041 <https://github.com/fetchrobotics/fetch_drivers/issues/1041> from dbking77/charger_diagnostics_fix2
    Fix incorrect virtual function in ChargerStatusGenerator class.
  * Fix incorrect virtual function in ChargerStatusGenerator class.
    Virtual function should be collect(void) not collect(double).
    Because base class provided default collect(), there was no compile time error, but diagnostics output for charger was mostly garbage.
    Add "override" to all sub-class virtual function definitions so this would cause a compile time error if this happens again.
    Remove virtual from all sub-class function definitions (it is redudant, and kind silly now that override exists)
  * Add units to system time in read_board
  * Merge pull request #1033 <https://github.com/fetchrobotics/fetch_drivers/issues/1033> from briancairl/NAV-1006
    NAV-1006 : Adds filter plugin for filtering neighborhoods which span a small distance
  * Add option to prevent use of gyro1 or gyro2 in combined gyro output. (#1032 <https://github.com/fetchrobotics/fetch_drivers/issues/1032>)
    * Add option to prevent use of gyro1 or gyro2 in combined gyro output.
    * Increase gyro covariance when neither gyro is available.
  * Adds filter plugin for filtering neighborhoods which span a small distance
    Changes default filter plugin chain to filter small clusters (in the maximum spanning distance sense) as opposed to groups with few points
  * Have imu test create CSV log of collected IMU data. (#1031 <https://github.com/fetchrobotics/fetch_drivers/issues/1031>)
    Have imu test create CSV log of collected IMU data.
    Also support test option for revH boards on the command line.
    Also, added function to load saved CSV file.
  * qual 0.2.30: Support new primesense topic count
    - Update restart_checker and initial_qual as well
    - Also clean up imports and whitespace
    - Add to .gitignore
  * Merge pull request #1020 <https://github.com/fetchrobotics/fetch_drivers/issues/1020> from aravindsv/AVRfirmware
    Modified makefile so there is no linking step
  * Merge pull request #1027 <https://github.com/fetchrobotics/fetch_drivers/issues/1027> from dbking77/robot_log_split_plots
    Put break between different logs in plots from robot_log.csv
  * Merge pull request #1026 <https://github.com/fetchrobotics/fetch_drivers/issues/1026> from fetchrobotics/montana_1000
    Remaining issues for Montana
  * Merge pull request #1013 <https://github.com/fetchrobotics/fetch_drivers/issues/1013> from dbking77/led_panel_test
    Combine all charger LED control into single class to allow testing.
  * ADc Interrupts are working. UART bitbang timing is off, so debugging results is
    sketchy at best
  * Also print dates for log start and stop times.
  * fix led movement when moving very slowly
  * fixes to make new led manager work with montana
    * panel and strip share same SPI interface
    * runstop state should still be sent to LED strip, so it is red
  * Have option to put breaks between driver starts in logs.
    Put battery SOC data on separate plots (otherwise stuff is too confusing).
  * properly set velocity/acceleration limits
  * apply proper current limit for 1500
  * set fault if EDM error
  * use standstill flag when present
  * update to flexisoft r7
  * Modified uart timing so data can be read by logic analyzer
  * Cleaned up some indentation and added a note in Makefile_defines
  * User serial for updating logpro record
  * Remove Access Panel LED test
    Stopping the robot drivers blinks all LEDs and this is a sufficient test.
  * Combine all freight100 and montana panel LED control into single class to allow testing.
    - Add interface to allow test to be run on all LEDs at once
    - Time limit test mode, and also enable it for production firmware
    - For device without LED panel driver, provide "fake" interface (to avoid extra ifdefs)
    - Script to put LEDs into testing mode
  * Wrote bitbanged sendString for uart
  * Modified makefile so there is no linking step. Otherwise, no main
  * Merge pull request #1019 <https://github.com/fetchrobotics/fetch_drivers/issues/1019> from fetchrobotics/boot_with_bms
    turn on BMS on boot
  * turn on BMS on boot
  * add some documentation
  * Merge pull request #1014 <https://github.com/fetchrobotics/fetch_drivers/issues/1014> from dbking77/measure_joint_linearization
    Modify linearize_motor script to plot joint non-linearity
  * Modify linearize_motor script to plot joint non-linearity
    Also:
    - Update command line parsing to use argparse
    - More comments about linearizing motor vs linearizing joint
  * Contributors: Aravind Vadali, Brian Cairl, Derek, Derek King, Eric Relson, Michael Ferguson

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Mon, 29 Jan 2018 08:00:00 -0000

ros-melodic-fetch-drivers (0.7.28-1bionic) bionic; urgency=high

  * Merge pull request #1011 <https://github.com/fetchrobotics/fetch_drivers/issues/1011> from briancairl/intensity-filter-vinyl-cuts
    Updates intensity filter defaults; updates logging
  * Merge pull request #1009 <https://github.com/fetchrobotics/fetch_drivers/issues/1009> from dbking77/mainboard_rev_h
    Mainboard Rev-H
  * Updates intensity filter defaults; updates logging
  * Update balancing testing.
  * Software support for battery balancing current measurement.
  * Firmware support for battery balancing current measurement.
  * Merge pull request #1007 <https://github.com/fetchrobotics/fetch_drivers/issues/1007> from fetchrobotics/low_power
    add low power mode to montana
  * Merge pull request #1006 <https://github.com/fetchrobotics/fetch_drivers/issues/1006> from erelson/add_local_fix
    Also remove freightXX.local from knownhosts
  * Also remove freightXX.local from knownhosts
  * Remove fetchcore_tools depend and bump robot_qual version
  * Remove commented code blocks
  * Don't remove public ssh keys in robot qual
  * Remove unneccessary hmi screen check
  * increased sleep time and switched to fetch_drivers charger_power reboot for power cycle
  * Merge pull request #951 <https://github.com/fetchrobotics/fetch_drivers/issues/951> from erelson/arm_motor_no_joint_test
    Add test for arm joints running fake-joint firmware
  * Refactors laser filter; makes configurable through plugins (#1005 <https://github.com/fetchrobotics/fetch_drivers/issues/1005>)
    * Converts existing filter to proper filter plugins
    - Removes excessive scan copying between filter stages
    - Adds filter plugin which loads/runs a sequence of filters
    - Adds Chain (adds sequential filters)
    - Adds Branch (adds parallel branch of filters)
    - Adds min-neighborhood laser filter
    - Adds laser scan publisher component
    - Updates laser_filter node to use new plugin objects
  * with interface
  * alternate sides working
  * add swirl
  * Add breakfree test for jointless motors
  * Add test for arm joints running fake-joint firmware
  * add low power (tested, but needs interface)
  * Contributors: Brian Cairl, David Moon, Derek, Derek King, Eric Relson, Michael Ferguson, Xu Han

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Thu, 16 Nov 2017 08:00:00 -0000

ros-melodic-fetch-drivers (0.7.27-1bionic) bionic; urgency=high

  * Add small group filtering to intensity filter
  * Contributors: Brian Cairl

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Sun, 05 Nov 2017 07:00:00 -0000

ros-melodic-fetch-drivers (0.7.26-1bionic) bionic; urgency=high

  * Merge pull request #1003 <https://github.com/fetchrobotics/fetch_drivers/issues/1003> from aravindsv/DutyCycleCap
    Capped hmi led pulse mode at 33% duty cycle
  * Merge pull request #1001 <https://github.com/fetchrobotics/fetch_drivers/issues/1001> from briancairl/intensity-filter
    Adds laser_intensity filter; refactors laser_filter module
  * Capped hmi led pulse mode at 33% duty cycle
  * Adds intensity filter with hooking mode
    - Adds to filter chain: pass-through with repub hook
  * Refactors laser_filter module organization
  * Contributors: Aravind Vadali, Brian Cairl, Derek, Michael Ferguson

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Wed, 01 Nov 2017 07:00:00 -0000

ros-melodic-fetch-drivers (0.7.25-1bionic) bionic; urgency=high

  * Charger firmware version 102:
    * Add flags for charger balancing and fan configs
  * IO_485 firmware version 101:
    * Improve analog processing
  * Montana firmware version 101: increase cutoff voltage
  * montana_driver: additional diagnostics
  * montana_driver: publish motor state, charger state
  * montana_driver: reduce timeout to 100ms
  * montana_driver: disable drives when charging
  * read_board: fix some issues with lack of metadata
  * read_board: add support for IO_485 board
  * align_motor: improve error messages
  * charger_lockout: new tool to set lockout time
  * laser_self_filter: add padding option
  * add support for head mcb rev D.0
  * add support for round mcb rev D.0
  * add support for large mcb rev E.0
  * Contributors: Aravind Vadali, Brian Cairl, David Moon, Derek King, Eric Relson, Michael Ferguson

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Fri, 27 Oct 2017 07:00:00 -0000

ros-melodic-fetch-drivers (0.7.24-1bionic) bionic; urgency=high

  * cart_dock_driver: add diagnostics publisher, read-only updates until ready
  * io_mpu_driver: add diagnostics publisher, read-only updates until ready
  * gripper_driver: add diagnostics publisher, read-only updates until ready
  * freight_driver: fix issue with panel led flags
  * add io_485 support
  * Contributors: David Moon, Derek, Michael Ferguson, Aravind Vadali

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Wed, 13 Sep 2017 07:00:00 -0000

ros-melodic-fetch-drivers (0.7.23-1bionic) bionic; urgency=high

  * Charger firmware version 101:
    * Send response to panel flags writes.
    * Add support for rev H.
  * Mainboard firmware version 100:
    * Add support for rev H.
  * Fix some issues with automatic firmware cross/downgrade
  * Gripper driver: improve startup reliability
  * Contributors: Derek King, Eric Relson, Michael Ferguson

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Thu, 07 Sep 2017 07:00:00 -0000

ros-melodic-fetch-drivers (0.7.22-1bionic) bionic; urgency=high

  * Mainboard firmware version 100:
    * Expose both gyros
  * Charger firmware version 100:
    * Save SOC before rebooting
    * Add support for rev. G boards
  * MCB firmware version 100:
  * IO Board firmware version 100:
  * Gripper firmware version 100:
    * Cancel command on board reset
  * F500/1500 firmware version 100:
    * Expose both gyros
  * Add automatic firmware cross/downgrade
  * cart_dock_driver: add firmware management
  * io_mpu_driver: add firmware management
  * F500/1500 driver: improve imu filtering
  * F500/1500 driver: always set robot/serial parameter
  * Contributors: David Moon, Derek King, Eric Relson, Michael Ferguson

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Tue, 29 Aug 2017 07:00:00 -0000

ros-melodic-fetch-drivers (0.7.21-1bionic) bionic; urgency=high

  * F500/1500 firmware version 12:
    * Give gyros extra time to start up
    * Update charge LED usage
    * Update panel LED usage to match F100.
  * Charger firmware version 87:
    * Move panel LED register out of board flags
  * Fix F500/1500 drivers to actually update firmware
  * Fix F500/1500 drivers not to stop charging on driver restart
  * Add CSV logging to F500/1500 drivers
  * Update read_board to work with F500/1500
  * Install F500/1500 driver
  * Contributors: Aaron Gemmell, David Moon, Derek King, Michael Ferguson

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Thu, 27 Jul 2017 07:00:00 -0000

ros-melodic-fetch-drivers (0.7.20-1bionic) bionic; urgency=high

  * IO Board firmware version 5:
    * Fix issue with LED strip lockup
  * Drivers: add support for mlockall/nice
  * Drivers: fix for empty motor messages
  * Drivers: update Ethernet/IP devices while not ready (Freight-500/1500)
  * Contributors: Alex Henning, Derek King, Eric Relson, Michael Ferguson

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Tue, 11 Jul 2017 07:00:00 -0000

ros-melodic-fetch-drivers (0.7.19-1bionic) bionic; urgency=high

  * Charger firmware version 86:
    * Turn off leds when in low-power notification mode
  * IO Board firmware version 4:
    * Better locking around HMI led status
  * Initial Freight-500 driver
  * Contributors: Aaron Gemmell, Eric Relson, Michael Ferguson

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Thu, 22 Jun 2017 07:00:00 -0000

ros-melodic-fetch-drivers (0.7.18-1bionic) bionic; urgency=high

  * Charger firmware version 85:
    * Better low-battery indication
    * Adds battery balancing configuration
    * Blink wifi/fc/runstop LEDs when disconnected
    * Fixes issue with LED panels locking up
    * Fixes potential issue of getting stuck in a voltage ramp
  * IO board firmware version 3:
    * Initial release
  * Initial release of io_mpu_driver
  * Initial release of field charging test
  * Drivers: actually start charge lockout action server
  * Drivers: also log SOC
  * Drivers: update LED panel even when not "ready"
  * Drivers: ignore timeouts during shutdown to avoid spurious faults
  * Contributors: Brian Cairl, David Moon, Derek King, Eric Relson, Michael Ferguson, Michael Janov, Aaron Gemmell

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Mon, 19 Jun 2017 07:00:00 -0000

ros-melodic-fetch-drivers (0.7.17-1bionic) bionic; urgency=high

  * Charger firmware version 79:
    * Add support for LED panel on Rev. F
    * Allow faster charging at higher temperatures
  * Mainboard firmware version 63
    * Allow breakers to run hotter
  * Add support gripper Rev. E
  * Adds robot CSV logger
  * Updated laser filter with support for carts
  * Add battery SOC tool
  * Contributors: Brian Cairl, Derek King, Michael Ferguson

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Wed, 15 Mar 2017 07:00:00 -0000

ros-melodic-fetch-drivers (0.7.16-1bionic) bionic; urgency=high

  * Charger firmware version 75
    * Improves balancing of batteries for better life
    * Improves state of charge estimation during partial discharges
    * Add interface for forcing computer restart
  * Add stale data detection to drivers
  * Add charger_power tool
  * Contributors: Derek King, Eric Relson, Michael Ferguson

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Fri, 16 Dec 2016 08:00:00 -0000

ros-melodic-fetch-drivers (0.7.15-1bionic) bionic; urgency=high

  * Charger firmware version 72
  * Gripper firmware version 70
  * MCB firmware version 76:
  * Mainboard firmware version 62:
  * Breaker tool: fix typo in usage message
  * Update tool: fix issues with gripper update
  * Fix issue with debug packets showing as lost packets
  * Add support for automatically  enabling/disabling aux breaker on startup
  * Contributors: David Moon, Derek King, Eric Relson, Michael Ferguson

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Tue, 29 Nov 2016 08:00:00 -0000

ros-melodic-fetch-drivers (0.7.14-1bionic) bionic; urgency=high

  * MCB firmware version 75:
  * Add support for revision F mainboard/charger
  * Add support for revision D large mcb
  * Add enviroment variable support to dynamically set driver ip
  * Gripper driver now publish IMU data (there is no calculation of gyro offset).
  * Set/Reset fault state properly in hourly logs
  * Contributors: Aaron Blasdel, Aravind Vadali, Camilo Buscaron, David Moon, Derek King, Eric Relson, Michael Ferguson

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Thu, 25 Aug 2016 07:00:00 -0000

ros-melodic-fetch-drivers (0.7.13-1bionic) bionic; urgency=high

  * MCB firmware version 74:
    * Improve base motor alignment at higher torques
    * Reduce minimum voltage before fault
    * Recalculate joint position when offset changes
  * Charger firmware version 71:
    * Improvements for faster charging, better heat management
    * Send fault log on low-battery poweroff
  * Gripper firmware version 69
  * Mainboard firmware version 61
  * Contributors: Brian R Cairl, Derek King, Eric Relson, Michael Ferguson, Camilo Buscaron

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Tue, 21 Jun 2016 07:00:00 -0000

ros-melodic-fetch-drivers (0.7.12-1bionic) bionic; urgency=high

  * Increase ADC sampling time for battery inputs.
  * Add aux option to breaker tool.
  * Use template parameters for GPIO interrupts instead of global variables.
  * Contributors: Derek King, Eric Relson, Michael Ferguson

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Thu, 09 Jun 2016 07:00:00 -0000

ros-melodic-fetch-drivers (0.7.11-1bionic) bionic; urgency=high

  * MCB firmware version 73:
    * Add separate error flag for joint position monitor
  * Charger firmware version 69:
    * Slightly increase cyclic battery charging voltages
    * New battery voltage controller that is less likely to overshoot
  * Mainboard firmware version 60:
    * Disable breakers when shutting down
  * Update tool: fix identification of freights
  * Drivers: publish diagnostics for aux breakers
  * Contributors: Derek King, Eric Relson, Michael Ferguson

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Thu, 26 May 2016 07:00:00 -0000

ros-melodic-fetch-drivers (0.7.10-1bionic) bionic; urgency=high

  * MCB firmware version 72:
    * Fix potential overflow in callbacks
  * Gripper firmware version 68:
    * Fix potential overflow in callbacks
  * Mainboard firmware version 59:
    * Fix potential overflow in callbacks
  * Charger firmware version 68:
    * Fix potential overflow in callbacks
  * Fix issues with handling of continuous joints
  * Add gripper state publishing
  * Contributors: Camilo Buscaron, Derek King, Eric Relson, Michael Ferguson

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Thu, 19 May 2016 07:00:00 -0000

ros-melodic-fetch-drivers (0.7.9-1bionic) bionic; urgency=high

  * MCB firmware version 71:
    * Increase base motor torque and power limits for Freight
  * Firmware upload: convert board ID to int before printing
  * Align motor tool: fix printed output
  * Contributors: Camilo Buscaron, Derek King, Eric Relson, Michael Ferguson

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Sun, 08 May 2016 07:00:00 -0000

ros-melodic-fetch-drivers (0.7.8-1bionic) bionic; urgency=high

  * Mainboard firmware version 57:
    * Fix communications lockup regression
  * Fix bug when has_base is false
  * Contributors: Camilo Buscaron, Derek King, Eric Relson, Michael Ferguson

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Wed, 27 Apr 2016 07:00:00 -0000

ros-melodic-fetch-drivers (0.7.7-1bionic) bionic; urgency=high

  * Mainboard firmware version 56:
    * Block gyro glitches
    * Fix occasional communications lockup when runstopped
  * Charger firmware version 67:
    * State of charge improved when robot has not fully charged in a long time
  * Gripper firmware version 66:
    * Block gyro glitches
  * Publish zeroed IMU data when runstopped, prevents "wandering" robot
  * Enable auxillary breaker services
  * Torso Calibration Tool: log results
  * Read Board Tool: also get unique serial
  * Breaker Tool: fix to exit when arguments are not valid
  * Firmware Update Tool: better handle when ACKs are missed
  * Contributors: Derek King, Eric Relson, Michael Ferguson

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Thu, 14 Apr 2016 07:00:00 -0000

ros-melodic-fetch-drivers (0.7.6-1bionic) bionic; urgency=high

  * Mainboard firmware version 55, Gripper version 65:
    * Updates for gyro glitches
  * Contributors: Derek King, Michael Ferguson

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Sat, 19 Mar 2016 07:00:00 -0000

ros-melodic-fetch-drivers (0.7.5-1bionic) bionic; urgency=high

  * MCB firmware version 70:
    * Add filter gains for older MCBs driving new suspension and motors
    * Fix for mcb encoder error on boot
  * Mainboard firmware version 54:
    * Updates for gyro data glitches
    * Check computer current before asserting computer power button signalto avoid turning computer back on at power-off if already shutdown
  * Charger firmware version 66:
    * Fixes missed timing error that sometimes occurs when disabling charging
  * Gripper firmware version 64:
    * Updates for gyro data glitches
  * Assume runstopped robot is moving, do not update IMU offset.
  * Gyro offset calculation improved for faster convergence
    and improved noise immunity.
  * Additional locking around data published in ROS.
  * New read_board, breaker, align_motor, and joint_offset tools
  * Add DisableChargingAction to avoid hot unplugging
  * Contributors: Brian R Cairl, Casey Duckering, Derek King, Eric Relson,
    Griswald Brooks, Michael Ferguson, Bhavya Kattapuni, Camilo Buscaron

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Wed, 09 Mar 2016 08:00:00 -0000

ros-melodic-fetch-drivers (0.7.4-1bionic) bionic; urgency=high

  * MCB firmware version 66:
    * Increase filtering to reduce buzz on new motors with type 3 suspension.
    * Monitor joint position compared to motor sensor position.
  * Charger firmware version 61:
    * Load saved battery SOC data from flash on boot.
  * Fix logpro logging when robot is calibrated
  * Check for zero joint_ratio value.
  * Update tool: Add option to force updates of all detected boards.
  * Torso calibration tool: first release.
  * Contributors: Derek King, Eric Relson, Michael Ferguson, Camilo Buscaron

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Tue, 12 Jan 2016 08:00:00 -0000

ros-melodic-fetch-drivers (0.7.3-1bionic) bionic; urgency=high

  * MCB firmware version 63:
    * Fix bug where position gains are being set instead of velocity gains.
  * Contributors: Derek King, Michael Ferguson

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Fri, 20 Nov 2015 08:00:00 -0000

ros-melodic-fetch-drivers (0.7.2-1bionic) bionic; urgency=high

  * MCB firmware version 62:
    * Add support for calibration of torso initialization sensor
  * Fix occasional bug in unique ID response packet parsing
  * Add additional checks on unique ID
  * Contributors: Derek King, Eric Relson, Michael Ferguson, Camilo Buscaron

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Fri, 20 Nov 2015 08:00:00 -0000

ros-melodic-fetch-drivers (0.7.1-1bionic) bionic; urgency=high

  * MCB firmware version 61
    * Add suport for mcb rev C.1
  * Fix issue with unrefreshed gripper MCB register table that
    caused slow LED change action.
  * Contributors: Derek King, Michael Ferguson

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Wed, 11 Nov 2015 08:00:00 -0000

ros-melodic-fetch-drivers (0.7.0-1bionic) bionic; urgency=high

  * MCB firmware version 60
    * Updated wrist flex joint limits to match URDF
    * Disabled flash write when motor is running
  * Gripper firmware version 60
  * Charger firmware version 60
    * Add state of charge estimation
    * Fix occasional POWER_NOT_GOOD issue on breakers after reboot
  * Mainboard firmware version 50
  * LogPRO now logs calibration_date, mainboard voltage and dock usage info
  * Make sure mainboard breakers are enabled after updating mainboard
  * Publish current/temperature limits to ROS messages
  * Support for rev2 robot hardware
  * Contributors: Derek King, Michael Ferguson, Griswald Brooks, Eric Relson

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Mon, 02 Nov 2015 08:00:00 -0000

ros-melodic-fetch-drivers (0.6.3-1bionic) bionic; urgency=high

  * Update build
  * Contributors: Michael Ferguson

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Tue, 21 Jul 2015 07:00:00 -0000

ros-melodic-fetch-drivers (0.6.2-1bionic) bionic; urgency=high

  * MCB firmware version 50
    * Better diagnostics for torso sensor values
  * Contributors: Michael Ferguson

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Tue, 21 Jul 2015 07:00:00 -0000

ros-melodic-fetch-drivers (0.6.1-1bionic) bionic; urgency=high

  * Charger firmware version 34
    * state of charge improvements
  * Update names of motors/boards in diagnostics and robot_state message
  * Contributors: Derek King, Michael Ferguson

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Thu, 09 Jul 2015 07:00:00 -0000

ros-melodic-fetch-drivers (0.6.0-1bionic) bionic; urgency=high

  * MCB firmware version 49
    * Various small improvements
  * Charger firmware version 32
    * Audible noise fixes when charging hard
    * Disable charging before rebooting board
  * Contributors: Derek King, Michael Ferguson
  * never publish NaNs to robot_state, diagnostics
  * Add ability to disable gripper torque
  * Contributors: Derek King, Michael Ferguson

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Sun, 28 Jun 2015 07:00:00 -0000

ros-melodic-fetch-drivers (0.5.3-1bionic) bionic; urgency=high

  * Gripper firmware version 48
    * Increase torque limit for gripper
  * Charger firmware version 30
    * Multiple improvements to charging and diagnostics
    * Disable fan dc/dc when battery breaker is disabled
  * Contributors: Derek King, Michael Ferguson

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Tue, 09 Jun 2015 07:00:00 -0000

ros-melodic-fetch-drivers (0.5.2-1bionic) bionic; urgency=high

  * Gripper firmware version 47
    * update opening amount
  * Charger firmware version 28
    * increase charging current
  * Contributors: Derek King, Michael Ferguson

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Mon, 08 Jun 2015 07:00:00 -0000

ros-melodic-fetch-drivers (0.5.1-1bionic) bionic; urgency=high

  * MCB firmware version 47
    * Reduce friction compensation settings in arm.
    * Lock the gains/limits for production robots
    * Fix shoulder_lift_motor gains
  * Contributors: Derek King, Michael Ferguson

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Sat, 06 Jun 2015 07:00:00 -0000

ros-melodic-fetch-drivers (0.5.0-1bionic) bionic; urgency=high

  * move messages into fetch_driver_msgs package
  * MCB firmware version 46
    * Wrap position around velocity pid,  update gains
  * Charger firmware version 27
    * Add power mismatch check
    * Fill in charger information in messages
  * Mainboard firmware version 27
  * Gripper firmware version 46
  * Contributors: Derek King, Michael Ferguson

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Fri, 05 Jun 2015 07:00:00 -0000

ros-melodic-fetch-drivers (0.4.0-1bionic) bionic; urgency=high

  * MCB firmware version 44
    * fix intermittent head pan range issue on startup
  * Charger firmware version 24
    * additional table entries for new diagnostics
  * Improved diagnostics for charger
  * Improved diagnostics for common error conditions
  * NOTE: RobotState message has changed, MD5 breaks from 0.3.14
  * Contributors: Derek King, Michael Ferguson

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Sun, 24 May 2015 07:00:00 -0000

ros-melodic-fetch-drivers (0.3.14-1bionic) bionic; urgency=high

  * MCB firmware version 40
    * Supply current limit settings for arm motors
    * Overcurrent fault fix
    * Adds motor friction feed forward
    * Adjust arm motor ratios
  * reset controllers when faulted/runstopped
  * Contributors: Derek King, Mark Medonis, Michael Ferguson

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Fri, 22 May 2015 07:00:00 -0000

ros-melodic-fetch-drivers (0.3.13-1bionic) bionic; urgency=high

  * add filter that removes shadow points from TIM571
  * update mainboard even if stuck in bootloader
  * update charger firmware if needed
  * Contributors: Michael Ferguson

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Sun, 10 May 2015 07:00:00 -0000

ros-melodic-fetch-drivers (0.3.12-1bionic) bionic; urgency=high

  * update firmware build
  * Contributors: Derek King, Michael Ferguson

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Wed, 06 May 2015 07:00:00 -0000

ros-melodic-fetch-drivers (0.3.11-1bionic) bionic; urgency=high

  * updates to build
  * Contributors: Derek King, Michael Ferguson

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Wed, 06 May 2015 07:00:00 -0000

ros-melodic-fetch-drivers (0.3.10-1bionic) bionic; urgency=high

  * updates to build
  * Contributors: Michael Ferguson

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Wed, 06 May 2015 07:00:00 -0000

ros-melodic-fetch-drivers (0.3.9-1bionic) bionic; urgency=high

  * MCB firmware version 40
    * increase mcb max temperature to 80C.
  * Change keys for rev C. mainboard, charger, and freight mcbs.
  * Contributors: Derek King, Michael Ferguson

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Wed, 06 May 2015 07:00:00 -0000

ros-melodic-fetch-drivers (0.3.8-1bionic) bionic; urgency=high

  * Gripper/MCB firmware version 39
    * adds motor trace interface
    * init velocity filter before using motor angle
  * gripper_driver now updates gripper firmware automatically

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Sun, 03 May 2015 07:00:00 -0000

ros-melodic-fetch-drivers (0.3.7-1bionic) bionic; urgency=high

  * install update tool
  * Contributors: Michael Ferguson

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Fri, 24 Apr 2015 07:00:00 -0000

ros-melodic-fetch-drivers (0.3.6-1bionic) bionic; urgency=high

  * Gripper firmware version 23
    * implement gripper position control
    * report consistent id for gripper
  * MCB firmware version 37
    * set NOT_READY flag when position is invalid
  * wait for breaker to update before responding
  * new update tool for firmware
  * Contributors: Michael Ferguson, Derek King

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Wed, 22 Apr 2015 07:00:00 -0000

ros-melodic-fetch-drivers (0.3.5-1bionic) bionic; urgency=high

  * MCB firmware version 36
    * New velocity filter for base, head
    * Updated shoulder lift limits
    * Adds torso initialization
  * Adds support for charger revision C
  * Publish correct breaker state
  * Contributors: Derek King, Michael Ferguson

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Mon, 20 Apr 2015 07:00:00 -0000

ros-melodic-fetch-drivers (0.3.4-1bionic) bionic; urgency=high

  * Charger firmware version 20
  * Fix potential race condition in packet recieve
  * make joints/motors of robot_state same order
  * continue read-only during a fault
  * Contributors: Derek King, Michael Ferguson

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Tue, 07 Apr 2015 07:00:00 -0000

ros-melodic-fetch-drivers (0.3.3-1bionic) bionic; urgency=high

  * limit standard log update retry rate
  * Contributors: Michael Ferguson

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Sat, 04 Apr 2015 07:00:00 -0000

ros-melodic-fetch-drivers (0.3.2-1bionic) bionic; urgency=high

  * MCB firmware version 32
  * New threading model with thread pool
  * Fix breakers returning wrong state when DISABLED
  * Disable robot if a breaker trippers
  * Support for revision C mainboard
  * Contributors: Aaron Blasdel, Derek King, Michael Ferguson

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Wed, 01 Apr 2015 07:00:00 -0000

ros-melodic-fetch-drivers (0.3.1-1bionic) bionic; urgency=high

  * MCB firmware version 31
  * Do not wind up base motor position
  * Set version/serial ROS params
  * Contributors: Derek King, Michael Ferguson

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Sat, 28 Mar 2015 07:00:00 -0000

ros-melodic-fetch-drivers (0.3.0-1bionic) bionic; urgency=high

  * MCB firmware version 29
  * Update how we handle continuous joints
  * Add stall detection to gripper driver
  * Contributors: Derek King, Michael Ferguson

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Mon, 23 Mar 2015 07:00:00 -0000

ros-melodic-fetch-drivers (0.2.1-1bionic) bionic; urgency=high

  * MCB firmware version 28
  * Fix for motor alignment
  * Contributors: Derek King, Michael Ferguson

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Tue, 17 Mar 2015 07:00:00 -0000

ros-melodic-fetch-drivers (0.2.0-1bionic) bionic; urgency=high

  * MCB firmware version 27
  * Load position/velocity limits from URDF
  * Gripper is now fully functional
  * Contributors: Derek King, Michael Ferguson

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Mon, 16 Mar 2015 07:00:00 -0000

ros-melodic-fetch-drivers (0.1.3-1bionic) bionic; urgency=high

  * Signifigant improvements to firmware and drivers
  * Contributors: Derek King, Michael Ferguson

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Fri, 13 Mar 2015 07:00:00 -0000

ros-melodic-fetch-drivers (0.1.2-1bionic) bionic; urgency=high

  * Build and install firmware
  * Add support for breakers, IMU
  * Contributors: Derek King, Michael Ferguson

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Mon, 26 Jan 2015 08:00:00 -0000

ros-melodic-fetch-drivers (0.1.1-1bionic) bionic; urgency=high

  * Initial Release
  * Contributors: Derek King, Michael Ferguson

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Wed, 07 Jan 2015 08:00:00 -0000


